## LassoEcpResponse

LassoEcpResponse — <ecp:Response>

## Functions

int | lasso_ecp_response_validate ()
LassoNode * | lasso_ecp_response_new ()

## Description

Figure 95. Schema fragment for ecp:Response

    <element name="Response" type="ecp:ResponseType"/>
    <complexType name="ResponseType">
        <attribute ref="S:mustUnderstand" use="required"/>
        <attribute ref="S:actor" use="required"/>
        <attribute name="AssertionConsumerServiceURL" type="anyURI" use="required"/>
    </complexType>

## Functions

### lasso_ecp_response_validate ()

    int
    lasso_ecp_response_validate (LassoEcpResponse *response);

Validates the LassoEcpResponse object conforms to required values.

- AssertionConsumerServiceURL must be non-NULL
- mustUnderstand must be TRUE
- actor must be equal to LASSO_SOAP_ENV_ACTOR

#### Parameters

response | The LassoEcpResponse object to validate |

#### Returns

0 on success, error code otherwise

### lasso_ecp_response_new ()

    LassoNode *
    lasso_ecp_response_new (const gchar *AssertionConsumerServiceURL);

Creates and initializes a new LassoEcpResponse object.

The # object is initialized as follows:

AssertionConsumerServiceURL = `AssertionConsumerServiceURL`
mustUnderstand = TRUE
actor = LASSO_SOAP_ENV_ACTOR

#### Parameters

AssertionConsumerServiceURL | . | [allow-none]

#### Returns

a newly created and initialized LassoEcpResponse object